@extends('layouts.admin')
@section('content')


    {{--修改表格--}}
    <style>
        .table-bordered>tbody>tr>td,.table-bordered>thead:first-child>tr:first-child>th{
            border: 1px solid #585858;
            font-weight: bold;
            text-align: center;
            font-size: 16px;
            overflow:hidden;
            width: 12%;
            padding: 15px 0px 15px 0px;
        }
        .table>tbody>tr>td{
            padding: 15px 0px 15px 0px;
            vertical-align: middle;
        }
        .table>tbody:first-child>tr>td{
            padding: 0px;
        }
        .table>tbody>tr>td>.form-control{
            margin: 15px 0px 15px 0px;
            width: 80%;
        }
    </style>

    <!--左侧菜单栏-->
@include('admin.left-sidebar')
    <!-- 内容 -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                受理案件
                <small> </small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="{{ url('/')}}"><i class="fa fa-dashboard"></i> 主页</a></li>
                <li><a href="#">项目申请</a></li>
                <li><a href="{{ url('/table') }}">受理案件</a></li>
            </ol>
        </section>
        <!-- Main content -->
        <section class="content">
            <!-- Default box -->
            <div class="box">
                <div class="box-header">

                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    {{--content--}}
                    <div class="row" style="text-align: center">
                        <h3>房屋逾期过渡安置补助费发放单</h3><br>
                    </div>
                    <form action="" method="post">
                        {{ csrf_field() }}
                    <div id="example2_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
                        <div class="row">
                            <div class="col-sm-2">项目名称：</div>
                            <div class="col-sm-7">
                                <select class="form-control" name="project_name">
                                    <option>请选择项目</option>
                                    @foreach($project as $data)
                                        <option value="{{ $data->project_name }}">{{ $data->project_name }}</option>
                                    @endforeach
                                </select>                            </div>
                            <div class="col-sm-1">编号：</div>
                            <div class="col-sm-2">
                                <input style="margin: 0px;" name="num" class="form-control" type="text" placeholder=" ">
                            </div><br><br>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <table style="border: 1px solid #585858" id="example2" class="table table-bordered">
                                    <tbody>
                                    <tr>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                    </tr>
                                    <tr>
                                        <td>被征收户姓名</td>
                                        <td><input name="bzc_name" class="form-control" type="text" placeholder="必填项"></td>
                                        <td>被征收房屋住址</td>
                                        <td colspan="2"><input name="bzc_addr" class="form-control" type="text" placeholder="必填项"></td>
                                    </tr>
                                    <tr>
                                        <td>联系电话</td>
                                        <td><input name="bzc_tel" class="form-control" type="text" placeholder="必填项(数字)"></td>
                                        <td>被征收人身份证号</td>
                                        <td colspan="2"><input name="bzc_cardid" class="form-control" type="text" placeholder="必填项(数字)"></td>
                                    </tr>
                                    <tr>
                                        <td>逾期开始时间</td>
                                        <td>逾期结束时间</td>
                                        <td>逾期月数</td>
                                        <td>补助标准</td>
                                        <td>合 计</td>
                                    </tr>
                                    <tr>
                                        <td><input name="yuqi_time1" id="yuqi_time1" class="form-control" type="hidden" placeholder="">
                                            <input readonly id="yuqi_time1_1" class="form-control form_datetime" type="text"></td>
                                        <td><input readonly id="yuqi_time1_2" class="form-control form_datetime" type="text"></td>
                                        <td><input name="yuqi_mothe1" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="buzu1" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="total1" class="form-control" type="text" placeholder="" onfocus="get_product(yuqi_mothe1,buzu1,this)" value="0"></td>
                                    </tr>
                                    <tr>
                                        <td><input name="yuqi_time2" class="form-control" type="hidden" placeholder="">
                                            <input readonly id="yuqi_time2_1" class="form-control form_datetime" type="text"></td>
                                        <td><input readonly id="yuqi_time2_2" class="form-control form_datetime" type="text"></td>
                                        <td><input name="yuqi_mothe2" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="buzu2" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="total2" class="form-control" type="text" placeholder="" onfocus="get_product(yuqi_mothe2,buzu2,this)" value="0"></td>
                                    </tr>
                                    <tr>
                                        <td><input name="yuqi_time3" class="form-control" type="hidden" placeholder="">
                                            <input readonly id="yuqi_time3_1" class="form-control form_datetime" type="text"></td>
                                        <td><input readonly id="yuqi_time3_2" class="form-control form_datetime" type="text"></td>
                                        <td><input name="yuqi_mothe3" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="buzu3" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="total3" class="form-control" type="text" placeholder="" onfocus="get_product(yuqi_mothe3,buzu3,this)" value="0"></td>
                                    </tr>
                                    <tr>
                                        <td><input name="yuqi_time4" class="form-control" type="hidden" placeholder="">
                                            <input readonly id="yuqi_time4_1" class="form-control form_datetime" type="text"></td>
                                        <td><input readonly id="yuqi_time4_2" class="form-control form_datetime" type="text"></td>
                                        <td><input name="yuqi_mothe4" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="buzu4" class="form-control" type="text" placeholder=""></td>
                                        <td><input name="total4" class="form-control" type="text" placeholder="" onfocus="get_product(yuqi_mothe4,buzu4,this)" value="0"></td>
                                    </tr>
                                    <tr>
                                        <td>逾期补偿金额</td>
                                        <td colspan="2"><input id="yuqij1" class="form-control" type="text" placeholder="大写"></td>
                                        <td><input name="yuqij" class="form-control" type="text" placeholder="小写"  onfocus="add(total1,total2,total3,total4,yuqij)"></td>
                                        <td>元</td>
                                    </tr>
                                    <tr>
                                        <td>约定</td>
                                        <td colspan="4">1.待回迁楼建成交钥匙时，征收当事人根据双方实际逾期月数，据实结算安置过渡补助费差价。
                                        <br><textarea style="height: 150px;" name="yueding" class="form-control" type="text" placeholder=""></textarea></td>
                                    </tr>
                                    <tr>
                                        <td rowspan="2">征收人<textarea name="zc" style="width: 80%;height: 100px;"></textarea></td>
                                        <td>被征收人</td>
                                        <td><input name="bzc" class="form-control" type="text" placeholder=""></td>
                                        <td>代理人</td>
                                        <td><input name="daili" class="form-control" type="text" placeholder=""></td>
                                    </tr>
                                    <tr>
                                        <td>签约时间</td>
                                        <td colspan="3"><input readonly id="table_time" name="table_time" class="form-control form_datetime" type="text" placeholder=""></td>
                                    </tr>
                                    <tr>
                                        <td><p>发证单位</p></td>
                                        <td><p style="margin-top: 100%;text-align: center"> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;年 &nbsp;&nbsp;&nbsp;&nbsp;月 &nbsp;&nbsp;&nbsp;&nbsp;日</p></td>
                                        <td><p>征收实施单位审批</p></td>
                                        <td colspan="2"><p style="margin-top: 50%;text-align: center"> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;年 &nbsp;&nbsp;&nbsp;&nbsp;月 &nbsp;&nbsp;&nbsp;&nbsp;日</p></td>
                                    </tr>
                                    </tbody>
                                </table>
                                <div class="row">
                                    <div class="col-sm-4">核算：<input   name="hesuan"  style="border: none #ffffff;border-bottom: #777777 solid 1px;" type="text" placeholder=""></div>
                                    <div class="col-sm-4">初审：<input disabled style="border: none #ffffff;border-bottom: #777777 solid 1px;" ></div>
                                    <div class="col-sm-4">监审：<input disabled style="border: none #ffffff;border-bottom: #777777 solid 1px;" ></div>
                                </div><br>
                                <div class="row">
                                    <div class="col-sm-4">复核：<input   name="fuhe" style="border: none #ffffff;border-bottom: #777777 solid 1px;" type="text"></div>
                                    <div class="col-sm-4"></div>
                                    <div class="col-sm-4"></div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-8">
                            </div>
                            <div class="col-sm-4">
                                @if($user->role == 0)
                                    <button id="sub" type="submit" onclick="javascript:this.form.action='{{ url('/table/save/'.$table_type_id) }}'" class="btn btn-success">
                                        保存</button>
                                    <!-- Button trigger modal -->
                                    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#myModal">提交</button>
                                @endif
                                <a href="{{ url('/table') }}" class="btn btn-info">返回</a>
                            </div>
                        </div>
                    </div>

                        {{--model--}}
                        <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                        <h4 class="modal-title" id="myModalLabel">提交说明</h4>
                                    </div>
                                    <div class="modal-body">
                                        <div class="form-group">
                                            <textarea class="form-control" id="model_des" name="sub_description" placeholder="输入您的内容..."></textarea>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default" data-dismiss="modal">返回</button>
                                        <button id="sub" type="submit" class="btn btn-primary" onclick="javascript:this.form.action='{{ url('/table/sub/'.$table_type_id.'/create') }}'">提交</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        {{--end model--}}
                        </form>
                    <script type="text/javascript">
                        $('#sub').click(function(){
                            $('#table_time').val( $('#table_time').val().replace(/-/g,''));
                            $('#yuqi_time1').val($('#yuqi_time1_1').val().replace(/-/g,'') + $('#yuqi_time1_2').val().replace(/-/g,''));
                            $('#yuqi_time2').val($('#yuqi_time2_1').val().replace(/-/g,'') + $('#yuqi_time2_2').val().replace(/-/g,''));
                            $('#yuqi_time3').val($('#yuqi_time3_1').val().replace(/-/g,'') + $('#yuqi_time3_2').val().replace(/-/g,''));
                            $('#yuqi_time4').val($('#yuqi_time4_1').val().replace(/-/g,'') + $('#yuqi_time4_2').val().replace(/-/g,''));
                        });
                        $(".form_datetime").datetimepicker({
                            language: 'zh',
                            format: 'yyyy年mm月dd日',
                            minView:'month'
                        }).on('changeDate',function(){
                            $(".datetimepicker").hide();
                        });

                        function get_product(left,right,product){
                            var result = (left.value*right.value);
                            product.value = result.toFixed(2);
                        }


                        function add(one,two,three,four,add){
                            var num = parseFloat($(one).val()) + parseFloat($(two).val())+ parseFloat($(three).val())+ parseFloat($(four).val());
                            num = Math.round(num);
                            $(add).val(num + "");

                            if (!/^\d*(\.\d*)?$/.test(num)) { alert("Number is wrong!"); return "Number is wrong!"; }
                            var AA = new Array("零", "壹", "贰", "叁", "肆", "伍", "陆", "柒", "捌", "玖");
                            var BB = new Array("", "拾", "佰", "仟", "萬", "億", "点", "");
                            var a = ("" + num).replace(/(^0*)/g, "").split("."), k = 0, re = "";
                            for (var i = a[0].length - 1; i >= 0; i--) {
                                switch (k) {
                                    case 0: re = BB[7] + re; break;
                                    case 4: if (!new RegExp("0{4}\\d{" + (a[0].length - i - 1) + "}$").test(a[0]))
                                        re = BB[4] + re; break;
                                    case 8: re = BB[5] + re; BB[7] = BB[5]; k = 0; break;
                                }
                                if (k % 4 == 2 && a[0].charAt(i + 2) != 0 && a[0].charAt(i + 1) == 0) re = AA[0] + re;
                                if (a[0].charAt(i) != 0) re = AA[a[0].charAt(i)] + BB[k % 4] + re; k++;
                            }

                            if (a.length > 1) //加上小数部分(如果有小数部分)
                            {
                                re += BB[6];
                                for (var i = 0; i < a[1].length; i++) re += AA[a[1].charAt(i)];
                            }

                            $('#yuqij1').val(re);
                        }
                    </script>
                </div>
                <!-- /.box-body -->
            </div>
            <!-- /.box -->

        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
@endsection